Subject: Re: rev 1 - / trunk trunk/analyses

From: Karl Fogel <[email-masked]>
Date: 04 Aug 2002 21:01:41 -0500

Oh, dear me -- I've just spammed you all with a multi-megabyte commit
email, because the first commit on the ale repository was the initial
import.  Please accept my apologies.

-K

[email-masked] writes:
> Author: kfogel
> Date: Mon, 05 Aug 2002 00:12:11 -0500
> New Revision: 1
> 
> Added:
>    trunk/
>    trunk/.svnignore
>    trunk/BUGS
>    trunk/ChangeLog.CVS
>    trunk/MINOR-BUGS
>    trunk/Makefile.in
>    trunk/README
>    trunk/WISHLIST
>    trunk/ale.in
>    trunk/analyses/
>    trunk/analyses/.gdbinit
>    trunk/analyses/.svnignore
>    trunk/analyses/Makefile.in
>    trunk/analyses/check-bases.sh
>    trunk/analyses/check-tabl.c
>    trunk/analyses/count-tabl.c
>    trunk/analyses/getopt.c
>    trunk/analyses/getopt.h
>    trunk/analyses/getopt1.c
>    trunk/analyses/hash.c
>    trunk/analyses/hash.h
>    trunk/analyses/lenstring.c
>    trunk/analyses/lenstring.h
>    trunk/analyses/xmalloc.c
>    trunk/analyses/xmalloc.h
>    trunk/config.guess
>    trunk/configure
>    trunk/configure.in
>    trunk/demo-data/
>    trunk/demo-data/demo.gb
>    trunk/demo-data/demo.phylo
>    trunk/docs/
>    trunk/docs/.svnignore
>    trunk/docs/Makefile.in
>    trunk/docs/README
>    trunk/docs/ale.texi
>    trunk/docs/intro.txt
>    trunk/lisp/
>    trunk/lisp/.svnignore
>    trunk/lisp/COPYING
>    trunk/lisp/Makefile.in
>    trunk/lisp/gene-analyze.el
>    trunk/lisp/gene-ann-mode.el
>    trunk/lisp/gene-clipboard.el
>    trunk/lisp/gene-consensus.el
>    trunk/lisp/gene-data-input.el
>    trunk/lisp/gene-dialog.el
>    trunk/lisp/gene-display.el
>    trunk/lisp/gene-error.el
>    trunk/lisp/gene-frame.el
>    trunk/lisp/gene-help.el
>    trunk/lisp/gene-id-mode.el
>    trunk/lisp/gene-io.el
>    trunk/lisp/gene-locking.el
>    trunk/lisp/gene-menus.el
>    trunk/lisp/gene-message.el
>    trunk/lisp/gene-mode-tools.el
>    trunk/lisp/gene-phylo.el
>    trunk/lisp/gene-posmon.el
>    trunk/lisp/gene-search.el
>    trunk/lisp/gene-selection.el
>    trunk/lisp/gene-seq-mode.el
>    trunk/lisp/gene-setpath.el
>    trunk/lisp/gene-sgroup.el
>    trunk/lisp/gene-threats.el
>    trunk/lisp/gene-translate.el
>    trunk/lisp/gene-undo.el
>    trunk/lisp/gene-version.el
>    trunk/lisp/gene-windows.el
>    trunk/lisp/gene.el
>    trunk/patches/
>    trunk/patches/README
>    trunk/patches/border-19.28/
>    trunk/patches/border-19.28/README
>    trunk/patches/border-19.28/lisp.ChangeLog
>    trunk/patches/border-19.28/lisp.patch
>    trunk/patches/border-19.28/lispman.patch
>    trunk/patches/border-19.28/src.ChangeLog
>    trunk/patches/border-19.28/src.patch
>    trunk/patches/cache-19.28/
>    trunk/patches/cache-19.28/ChangeLog
>    trunk/patches/cache-19.28/README
>    trunk/patches/cache-19.28/patches
>    trunk/patches/cache-19.28/region-cache.c
>    trunk/patches/cache-19.28/region-cache.h
>    trunk/patches/face-change-19.28/
>    trunk/patches/face-change-19.28/README
>    trunk/patches/face-change-19.28/patch
>    trunk/phylo/
>    trunk/phylo/.gdbinit
>    trunk/phylo/.svnignore
>    trunk/phylo/Makefile.in
>    trunk/phylo/getline.c
>    trunk/phylo/getline.h
>    trunk/phylo/hash.c
>    trunk/phylo/hash.h
>    trunk/phylo/lenstring.c
>    trunk/phylo/lenstring.h
>    trunk/phylo/node.c
>    trunk/phylo/node.h
>    trunk/phylo/phylo.c
>    trunk/phylo/protocol.texi
>    trunk/phylo/rdp_format.c
>    trunk/phylo/rdp_format.h
>    trunk/phylo/xmalloc.c
>    trunk/phylo/xmalloc.h
>    trunk/readers/
>    trunk/readers/.gdbinit
>    trunk/readers/.svnignore
>    trunk/readers/Makefile.in
>    trunk/readers/careful.c
>    trunk/readers/careful.h
>    trunk/readers/embl-tabl.c
>    trunk/readers/fasta-tabl.c
>    trunk/readers/gb-tabl.c
>    trunk/readers/gdbm.c
>    trunk/readers/gdbmgenes.h
>    trunk/readers/getopt.c
>    trunk/readers/getopt.h
>    trunk/readers/getopt1.c
>    trunk/readers/hash.c
>    trunk/readers/hash.h
>    trunk/readers/lenstring.c
>    trunk/readers/lenstring.h
>    trunk/readers/phylip-tabl.c
>    trunk/readers/ring.h
>    trunk/readers/tabl-embl.c
>    trunk/readers/tabl-fasta.c
>    trunk/readers/tabl-gb.c
>    trunk/readers/xmalloc.c
>    trunk/readers/xmalloc.h
> Log:
> Initial import.
> 
> This first import includes everything from
> 
>    ftp://ftp.red-bean.com/pub/jimb/ale-0.1.183.tar.gz
> 
> except for *.elc, *.ps, *.dvi, and *.info*, since those are all
> generated files.  Note that `configure' is also a generated file, but
> I'm not sure yet if recent versions of autoconf will work well with
> such an old `configure.in', so am including `configure' until we know
> it's safe to remove it.
> 
> Also: I renamed ChangeLog to ChangeLog.CVS and put an obsolescence
> notice at the top, and changed all the .cvsignore files to .svnignore.